import os
import sys
import plugintools
import xbmc,xbmcaddon
from addon.common.addon import Addon

addonID = 'plugin.video.aresanime'
addon = Addon(addonID, sys.argv)
local = xbmcaddon.Addon(id=addonID)
icon = local.getAddonInfo('icon')

YOUTUBE_CHANNEL_ID_1 = "PLzO16T-7mKLZaDanYN9FoLwpy6Oeirpe5"
YOUTUBE_CHANNEL_ID_2 = "PLLFWrh68-XMRYYjl_kDPV-EjfLXj1R7Rj"
YOUTUBE_CHANNEL_ID_3 = "PLCegRdSyFHvcc-lZbLZ8aYt4PDpu6L6xg"
YOUTUBE_CHANNEL_ID_4 = "PLcODclIgElxJXl4I3C2QgOmruKBybol9Y"
YOUTUBE_CHANNEL_ID_5 = "PL5WW6IFNj1bkHJ_LPkusCq52DBsQmrvGm"
YOUTUBE_CHANNEL_ID_6 = "PLUOwaezKwDYLqnpnMhSyjgDSLlqXycnb7"
YOUTUBE_CHANNEL_ID_7 = "PLTBjtufnG-MFQW6OZ-7SEcfR9glnR0c1Y"
YOUTUBE_CHANNEL_ID_8 = "PLKrpm9lxqdtyR8z1jz0M3ps_sgU9kJxfr"
YOUTUBE_CHANNEL_ID_9 = "PLfyih0PU-zo71ybx0Oaxk_piAufRhxNUH"
YOUTUBE_CHANNEL_ID_10 = "PLbnrYGRD0itvPWv3azT66vKeOEaSQ0-BY"
YOUTUBE_CHANNEL_ID_11 = "PLmTpWPfk0i8OOKT4bk5lPig3PhksNx8Xd"
YOUTUBE_CHANNEL_ID_12 = "PLyKfjbPdkUJUYBMRFewZY5RCuVnqSHcbu"
YOUTUBE_CHANNEL_ID_13 = "PLX0yDcKZhjGyd3SPqKOh8VTuXzhuWIyea"
YOUTUBE_CHANNEL_ID_14 = "PLeJ4dpVCYxD6Yw0pO9ZnBvojgSX3BDioD"
YOUTUBE_CHANNEL_ID_15 = "PLKA9O0m3XbzFB9_IZCHPdm8MZgdA-x2Z2"


# Entry point
def run():
    plugintools.log("docu.run")
    
    # Get params
    params = plugintools.get_params()
    
    if params.get("action") is None:
        main_list(params)
    else:
        action = params.get("action")
        exec action+"(params)"
    
    plugintools.close_item_list()

# Main menu
def main_list(params):
    plugintools.log("docu.main_list "+repr(params))

    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_1+"/",
        thumbnail="https://encrypted-tbn2.gstatic.com/images?q=tbn:ANd9GcR8HViiT255goOoVEQWk-ZPHPmnYjpr4VxhSprLdG7r8TvocIoEYQ",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_2+"/",
        thumbnail="https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcQt3nbL7_QOybz0fQmCCltQV2acWmeK5LmlICd4VqVUleecuIvPKw",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_3+"/",
        thumbnail="https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcSN1dphh6AfqoFAq21tkQCjHrprxLheR1g6W5i9pfNoVOKpdJjdIw",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_4+"/",
        thumbnail="https://encrypted-tbn3.gstatic.com/images?q=tbn:ANd9GcQqb5Dgqw0tLj_-UHrSj25-c9bWxG8iIXROkkB6kC-hdlBXw7Cb",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_5+"/",
        thumbnail="https://encrypted-tbn3.gstatic.com/images?q=tbn:ANd9GcTT28nhtZUimO8mlgLzci9orxoX2__6AXg39D0j0j3jKUppic8v",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_6+"/",
        thumbnail="https://encrypted-tbn2.gstatic.com/images?q=tbn:ANd9GcShKZwbNNuZlO6o49aE09Wng0IE9B9LzuGVT7uMdeHthI6r1tKX2g",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_7+"/",
        thumbnail="https://encrypted-tbn2.gstatic.com/images?q=tbn:ANd9GcTwIf3-rQJLUDRWjbErIbpFPPKKbLYz9ZOI_0-G_zZk26oDJfWZhQ",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_8+"/",
        thumbnail="https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcQXtjwGkVBSPNJV57GQnldGV-ogbHnQKXb0xmzpksg7Jt1SvkhQkQ",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_9+"/",
        thumbnail="https://s-media-cache-ak0.pinimg.com/736x/58/0d/94/580d942108e8a15348e0d930a82c4df2.jpg",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_10+"/",
        thumbnail="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcRuV8J7V-VMKw_8JG1y1_nd08jiBU5LAMafNB_fMrr18B_RVCVjOw",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_11+"/",
        thumbnail="https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcRjoRDs1i_bfmhOmS9mmapYXmGPRjPZ_3jszUPqmPpjQmgvYySu",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_12+"/",
        thumbnail="https://s-media-cache-ak0.pinimg.com/736x/8b/fc/74/8bfc745137cff6d1cc2e1597b23b7538.jpg",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_13+"/",
        thumbnail="https://s-media-cache-ak0.pinimg.com/736x/51/69/48/516948c4e7b81ff839a532aeec568b9c.jpg",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_14+"/",
        thumbnail="https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcS0IRbMtSbIzVFNJN-19jsidD4DJefua310uI09W5xuJ0Gyksj4Yg",
        folder=True )
    plugintools.add_item( 
        #action="", 
        title="Anime",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID_15+"/",
        thumbnail="https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcS0IRbMtSbIzVFNJN-19jsidD4DJefua310uI09W5xuJ0Gyksj4Yg",
        folder=True )

run() 